;================================================================
; test 测试相关
; test_debug.erb 开发中调试
;================================================================


;;;覆写 Emuera 的标题界面
;;;@return 没有返回值
@DebugHook()
    #DIM DYNAMIC log_lines
    log_lines = LINECOUNT
    WHILE 1
        CALL PrintLine
        CALL PrintLog("hook 游戏主流程以进行调试。")
        CALL e2e_test_target_function
        CALL PrintLine
        CALL PrintLog("调试结束，按任意键再次运行。", "warn")
        WAITANYKEY
        CLEARLINE LINECOUNT - log_lines
    WEND
    RETURN
